package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.AimPlaceContentChild;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.AimPlaceContentChildMapper")
public interface AimPlaceContentChildMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(AimPlaceContentChild record);

    AimPlaceContentChild selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(AimPlaceContentChild record);

    List<AimPlaceContentChild> queryAllAimPlaceContentChild(AimPlaceContentChild record);

    List<AimPlaceContentChild> queryAimPlaceContentChildByPage(Map<String, Object> parameter);

    int delete(AimPlaceContentChild record);

    AimPlaceContentChild queryAimPlaceContentChild(AimPlaceContentChild record);

    List<AimPlaceContentChild> query(AimPlaceContentChild record);
}

